
&НаКлиенте
Процедура СломанПриИзменении(Элемент)
	Если Объект.Сломан Тогда
		ЦенаНоменклатуры = ПолучитьЦенуНоменклатуры(Объект.Номенклатура, Объект.Дата);
		Объект.Оплата = ЦенаНоменклатуры;
	Иначе
		Объект.Оплата = 0;
	КонецЕсли;
	ИзменитьВидимостьОплаты();
КонецПроцедуры

&НаКлиенте
Процедура ИзменитьВидимостьОплаты()
	Элементы.Оплата.Видимость = Объект.Сломан;
КонецПроцедуры

&НаКлиенте
Процедура ПриОткрытии(Отказ)
	ИзменитьВидимостьОплаты();
КонецПроцедуры

&НаСервереБезКонтекста
Функция ПолучитьЦенуНоменклатуры(НоменклатураДокумента, Дата)
	Возврат РаботаСНоменклатуройСервер.ПолучитьЦенуНоменклатуры(НоменклатураДокумента, Дата); 
КонецФункции

&НаКлиенте
Процедура НоменклатураНачалоВыбора(Элемент, ДанныеВыбора, СтандартнаяОбработка)
	СтандартнаяОбработка = Ложь;
	ПараметрыФормы = Новый Структура;
	ПараметрыФормы.Вставить("ОтборСостояния", "Выдан");
	ОткрытьФорму("Справочник.Номенклатура.ФормаВыбора", ПараметрыФормы, Элементы.Номенклатура);

КонецПроцедуры
